### Hierarchy

- Node

### Implements

- INode

## Index

### Constructors

- constructor

### Properties

- _address
- _lastSeenBroadcast
- _lastSeenMulticast
- advertisement
- hijackLocal
- hostName
- id
- isMaster
- isMasterEligible
- prefMode
- unicastPort
- weight

### Accessors

- address
- lastSeen
- lastSeenBroadcast
- lastSeenMulticast

### Methods

- preferredMode

## Constructors

### constructor

- new Node(hijackLocal: boolean): Node

- - Defined in discover.ts:55

  #### Parameters

  - ##### hijackLocal: boolean

  #### Returns Node

## Properties

### Private _address

_address: string

- Defined in discover.ts:37

### Private _lastSeenBroadcast

_lastSeenBroadcast: number = 0

- Defined in discover.ts:45

### Private _lastSeenMulticast

_lastSeenMulticast: number = 0

- Defined in discover.ts:46

### advertisement

advertisement: any = undefined

Implementation of INode.advertisement

- Defined in discover.ts:35

### Private hijackLocal

hijackLocal: boolean

- Defined in discover.ts:57

### hostName

hostName: string

Implementation of INode.hostName

- Defined in discover.ts:30

### id

id: string

Implementation of INode.id

- Defined in discover.ts:28

### isMaster

isMaster: boolean = false

Implementation of INode.isMaster

- Defined in discover.ts:31

### isMasterEligible

isMasterEligible: boolean

Implementation of INode.isMasterEligible

- Defined in discover.ts:32

### prefMode

prefMode: MulticommMode.Broadcast | MulticommMode.Multicast | MulticommMode.Unicast | null = null

- Defined in discover.ts:34

### unicastPort

unicastPort: number

Implementation of INode.unicastPort

- Defined in discover.ts:29

### weight

weight: number = -Infinity

Implementation of INode.weight

- Defined in discover.ts:33

## Accessors

### address

address:

Implementation of INode.address

- Defined in discover.ts:38
- Defined in discover.ts:41

### lastSeen

lastSeen:

- Defined in discover.ts:47

### lastSeenBroadcast

lastSeenBroadcast:

- Defined in discover.ts:50

### lastSeenMulticast

lastSeenMulticast:

- Defined in discover.ts:53

## Methods

### preferredMode

- preferredMode(timeout: number): MulticommMode.Broadcast | MulticommMode.Multicast | MulticommMode.Unicast

- - Defined in discover.ts:60

  #### Parameters

  - ##### timeout: number

  #### Returns MulticommMode.Broadcast | MulticommMode.Multicast | MulticommMode.Unicast

Generated using TypeDoc